Summary:        Read a preset list of files into memory
Name:           readahead
Version:        1.1
Release: 	%mkrel 1
Group:          System/Configuration/Boot and Init
License:        GPL
Source0:	readahead.c
Source1:	readahead.init
Source2:	readahead.files.in
Source3:	readahead_early.init
Source4:	readahead.early.files.in
Source5:	COPYING
Source6:	README
Buildroot:      %{_tmppath}/%{name}-%{version}-root
Requires(Pre):		/sbin/chkconfig
Requires:	procps /bin/awk
BuildPreReq:	e2fsprogs-devel

Obsoletes:	kernel-utils

%description
readahead reads the contents of a list of files into memory,
which causes them to be read from cache when they are actually
needed. Its goal is to speed up the boot process.

%prep

%build
rm -rf $RPM_BUILD_ROOT

%install
mkdir -p %{buildroot}%{_sbindir}
mkdir -p %{buildroot}/etc/rc.d/init.d
mkdir -p %{buildroot}/etc/sysconfig
gcc $RPM_OPT_FLAGS %{SOURCE0} -o readahead -lext2fs -lblkid

for file in %{SOURCE2} %{SOURCE4} ; do
  f=${file##*/}
  sed 's|##LIBDIR##|/%{_lib}/|g; s|##ARCH##|%{_arch}|g' $file > ${f%%.in}
done

install %{SOURCE1} %{buildroot}/etc/rc.d/init.d/readahead
install readahead.files %{buildroot}/etc/readahead.files
install %{SOURCE3} %{buildroot}/etc/rc.d/init.d/readahead_early
install readahead.early.files %{buildroot}/etc/readahead.early.files
install -m 755 readahead %{buildroot}%{_sbindir}
cp %{SOURCE5} %{SOURCE6} .

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
%doc COPYING README
%config(noreplace) %attr(0644,root,root) /etc/readahead.files
%config(noreplace) %attr(0644,root,root) /etc/readahead.early.files
%{_sbindir}/readahead
/etc/rc.d/init.d/readahead
/etc/rc.d/init.d/readahead_early

%preun
if [ "$1" = "0" ] ; then
 /sbin/chkconfig --del readahead
 /sbin/chkconfig --del readahead_early
fi

%post
/sbin/chkconfig --add readahead
/sbin/chkconfig --add readahead_early

%triggerpostun -- kernel-utils
/sbin/chkconfig --add readahead
/sbin/chkconfig --add readahead_early
exit 0


%changelog
* Wed Aug 10 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.1-1mdk
- stolen from fedora
- make it --short-circuit aware
- status: provided lists are gnome oriented, fedora oriented, ...
